// Copyright (C) 2007-2009 David Kment
// For license see license.txt

#ifndef _CRENDERMANAGER_H_
#define _CRENDERMANAGER_H_

#include "CGTASceneNode.h"

#define UNIT_DISTANCE_TRIGGER 30.0f

using namespace irr;
using namespace core;

class CRenderManager
{
public:

    CRenderManager(CGTASceneNode *sceneNode);
	void update(double x, double y);

private:
	void process();

    CGTASceneNode *SceneNode;
    bool initialised;
    double PositionX, PositionY;
};

#endif /* _CRENDERMANAGER_H_ */
